Loading...
Searching...
No Matches
pcl::SVMData Struct Reference

The structure stores the features and the label of a single sample which has to be used for the training or the classification of the SVM (Support Vector Machines). More...

`#include <pcl/ml/svm_wrapper.h>`

## Public Member Functions

| SVMData ()

## Public Attributes

double | label
| Pointer to the label value. It is a mandatory to train the classifier.
std::vector< pcl::SVMDataPoint > | SV
| Vector of features for the specific sample.

## Detailed Description

The structure stores the features and the label of a single sample which has to be used for the training or the classification of the SVM (Support Vector Machines).

Definition at line 111 of file svm_wrapper.h.

## Constructor & Destructor Documentation

## SVMData()

pcl::SVMData::SVMData | ( |  | ) |

inline

Definition at line 117 of file svm_wrapper.h.

## Member Data Documentation

## label

double pcl::SVMData::label

Pointer to the label value. It is a mandatory to train the classifier.

Definition at line 113 of file svm_wrapper.h.

## SV

std::vector<pcl::SVMDataPoint> pcl::SVMData::SV

Vector of features for the specific sample.

Definition at line 115 of file svm_wrapper.h.

The documentation for this struct was generated from the following file:

- pcl/ml/svm_wrapper.h